Retrieve Semantic CWT credential revocation list
Analytics Events
/v2/credentials/compact-semantic/revocation-lists/{listId}Returns a Semantic CWT credential revocation list by providing its ID.
Analytic events
- CREDENTIAL_COMPACT_SEMANTIC_REVOCATION_RETRIEVE_START
- CREDENTIAL_COMPACT_SEMANTIC_REVOCATION_RETRIEVE_SUCCESS
- CREDENTIAL_COMPACT_SEMANTIC_REVOCATION_RETRIEVE_FAIL
Path Parameters
The unique identifier of the revocation list you wish to retrieve.
Response Body
application/cwt
curl -X GET "https://example.vii.au01.mattr.global/v2/credentials/compact-semantic/revocation-lists/string""string"How would you rate this page?
Retrieve all Semantic CWT credential revocation lists GET
Returns a list of all Semantic CWT credential revocation lists on the tenant. ### **Analytic events** * CREDENTIAL_COMPACT_SEMANTIC_REVOCATION_LISTS_RETRIEVE_START * CREDENTIAL_COMPACT_SEMANTIC_REVOCATION_LISTS_RETRIEVE_SUCCESS * CREDENTIAL_COMPACT_SEMANTIC_REVOCATION_LISTS_RETRIEVE_FAIL
Delete Semantic CWT credential metadata DELETE
Deletes all credential metadata from the tenant for a specific credential by providing its ID. If the credential was set to be revocable, it will be permanently revoked upon metadata deletion. Note that only metadata of revocable credentials or credentials issued via the OpenID4VCI flow is saved. <Callout> Deleted metadata cannot be recovered. </Callout>